#include <iostream>
#include <vector>

#include "Birthday12.h"

int main()
{
    cout << "Creating Birthday variables ..." << endl;
    Birthday bd0;
    Birthday bd1(1981, 9, 2);
    Birthday bd2(1992, 5, 8);

    cout << endl << "Creating Birthday vector ..." << endl;
    vector<Birthday> birthdays;
    birthdays.reserve(10);

    cout << "...  push_back " << bd0 << " ..." << endl;
    birthdays.push_back(bd0);
    cout << "...  push_back " << bd1 << " ..." << endl;
    birthdays.push_back(bd1);
    cout << "...  push_back " << bd2 << " ..." << endl;
    birthdays.push_back(bd2);

    cout << endl << "Creating pointer vector ..." << endl;
    vector<Birthday *> bdptrs;
    bdptrs.push_back(new Birthday());
    bdptrs.push_back(new Birthday(3001, 9, 2));
    bdptrs.push_back(new Birthday(3002, 5, 8));

    cout << endl << "Deleting birthdays from pointer vector ..." << endl;
    for (int i = 0; i < bdptrs.size(); i++) delete bdptrs[i];

    cout << endl << "Program terminating ..." << endl;
    return 0;
}
